import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.streaming.streams.delete(
0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Streaming.Streams.Delete(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
}
curl --request DELETE \
--url https://api.gcore.com/streaming/streams/{stream_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/streams/{stream_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Delete live stream
Delete a live stream.
After deleting the live stream, all associated data is deleted: settings, PUSH and PULL links, video playback links, etc.
Live stream information is deleted permanently and irreversibly. Therefore, it is impossible to restore data and files after this.
But if the live had recordings, they continue to remain independent Video entities. The “stream_id” parameter will simply point to a stream that no longer exists.
Perhaps, instead of deleting, you may use the stream deactivation:
PATCH /videos/{stream_id}
{ "active": false }
For details, see the Product Documentation.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.streaming.streams.delete(
0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Streaming.Streams.Delete(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Stream ID.
IDs of all created streams can be received via Get All Streams request
Response
Was this page helpful?